Attach SSH keys to a dedicated server
POST/v1/hosts/dedicated_servers/{server_id}/ssh_keys
A POST request to the /v1/hosts/dedicated_servers/{server_id}/ssh_keys endpoint will attach SSH keys to a server. Keys should be listed in the request body and a server should be specified in the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
server_id | stringA unique identifier of a server. |
Request Body
| Field | Details |
|---|---|
ssh_key_fingerprints | anyArray of SSH key fingerprints to attach. To list all existing fingerprints, go to the SSH keys section. |
Response Body
application/json
curl -X POST "https://example.com/v1/hosts/dedicated_servers/GRb427eB/ssh_keys" \ -H "Content-Type: application/json" \ -d '{ "ssh_key_fingerprints": [ "97:c1:12:7e:1c:88:f6:77:6c:9b:cf:8d:ba:bb:8e:f106" ] }'[ { "name": "ssh_key_104", "fingerprint": "97:c1:12:7e:1c:88:f6:77:6c:9b:cf:8d:ba:bb:8e:f106", "labels": {}, "updated_at": "2026-05-28T07:07:05Z", "created_at": "2026-05-28T07:07:05Z" }]